function seminar6_plot_multivariate_gauss()
%plot_gauss3d_surface()

plot_gauss_contour()
end

function plot_gauss3d_surface()

mu = [0 0];
Sigma = [3 0.5; ...
         0.5  1.0];
x1 = -6:.2:6; x2 = -6:.2:6;
[X1,X2] = meshgrid(x1,x2); %   
X = [X1(:)];
F = mvnpdf([X1(:) X2(:)],mu,Sigma); %  
F = reshape(F,length(x2),length(x1)); %    
surf(x1,x2,F);

%caxis([min(F(:))-.5*range(F(:)),max(F(:))]);
%axis([-3 3 -3 3 0 .4])
%xlabel('x1'); ylabel('x2'); zlabel('Probability Density');

end

function plot_gauss_contour()

mu = [0 0];
Sigma = [2.0 0.9; ...
         0.9  1.0];
x1 = -3:.2:3; x2 = -3:.2:3;
[X1,X2] = meshgrid(x1,x2); %   
F = mvnpdf([X1(:) X2(:)],mu,Sigma); %  
F = reshape(F,length(x2),length(x1)); %    
contour(x1,x2,F,'ShowText','on');

%caxis([min(F(:))-.5*range(F(:)),max(F(:))]);
%axis([-3 3 -3 3 0 .4])
%xlabel('x1'); ylabel('x2'); zlabel('Probability Density');

end